# 记忆翻牌游戏

一款基于HTML5、CSS3和JavaScript开发的简单益智记忆游戏。玩家需要翻开卡片并记住它们的位置，找出所有匹配的卡片对。

## 游戏特点

- 简洁美观的界面设计
- 流畅的卡片翻转动画效果
- 计分、计时和步数统计
- 响应式设计，适配不同屏幕尺寸
- 结束画面显示游戏成绩

## 技术栈

- HTML5 - 页面结构
- CSS3 - 样式和动画
- JavaScript - 游戏逻辑

## 游戏玩法

1. 点击"开始游戏"按钮或直接点击任意卡片开始游戏
2. 点击卡片将其翻转，记住卡片上的图案
3. 尝试找出所有匹配的卡片对
4. 当两张翻开的卡片图案相同时，它们将保持显示状态
5. 当两张翻开的卡片图案不同时，它们将在短暂延迟后翻回
6. 找出所有匹配对后游戏结束，显示用时和步数

## 项目结构

```
记忆翻牌游戏/
  ├── index.html      # 游戏主页面
  ├── css/
  │   └── style.css   # 游戏样式
  ├── js/
  │   ├── game.js     # 游戏核心逻辑
  │   └── utils.js    # 辅助函数
  └── README.md       # 项目说明文档
```

## 游戏配置

游戏默认配置为4行3列，共12张卡片（6对）。若要修改游戏难度，可以在`js/game.js`文件中调整以下配置：

```javascript
const config = {
    rows: 4,     // 行数
    cols: 3,     // 列数
    get totalCards() { return this.rows * this.cols; },
    get totalPairs() { return this.totalCards / 2; }
};
```

## 许可信息

本项目采用MIT许可证。欢迎自由使用、修改和分发。 